// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 60;
	objects = {
		FF0100000000000000000004 /* Generate Bazel Dependencies */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Generate Bazel Dependencies";
			outputFileListPaths = (
				"$(INTERNAL_DIR)/generated.xcfilelist",
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"$BAZEL_INTEGRATION_DIR/generate_bazel_dependencies.sh\"\n";
			showEnvVarsInLog = 0;
		};
		FF0100000000000000000005 /* Create swift_debug_settings.py */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"$(BAZEL_INTEGRATION_DIR)/$(CONFIGURATION)-swift_debug_settings.py",
			);
			name = "Create swift_debug_settings.py";
			outputPaths = (
				"$(OBJROOT)/$(CONFIGURATION)/swift_debug_settings.py",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "perl -pe '\n  # Replace \"__BAZEL_XCODE_DEVELOPER_DIR__\" with \"$(DEVELOPER_DIR)\"\n  s/__BAZEL_XCODE_DEVELOPER_DIR__/\\$(DEVELOPER_DIR)/g;\n\n  # Replace \"__BAZEL_XCODE_SDKROOT__\" with \"$(SDKROOT)\"\n  s/__BAZEL_XCODE_SDKROOT__/\\$(SDKROOT)/g;\n\n  # Replace build settings with their values\n  s/\n    \\$             # Match a dollar sign\n    (\\()?          # Optionally match an opening parenthesis and capture it\n    ([a-zA-Z_]\\w*) # Match a variable name and capture it\n    (?(1)\\))       # If an opening parenthesis was captured, match a closing parenthesis\n  /$ENV{$2}/gx;    # Replace the entire matched string with the value of the corresponding environment variable\n\n' \"$SCRIPT_INPUT_FILE_0\" > \"$SCRIPT_OUTPUT_FILE_0\"\n";
			showEnvVarsInLog = 0;
		};
		FF0100000000000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BAZEL_PACKAGE_BIN_DIR = rules_xcodeproj;
				CALCULATE_OUTPUT_GROUPS_SCRIPT = "$(BAZEL_INTEGRATION_DIR)/calculate_output_groups.py";
				CC = "";
				CXX = "";
				INDEXING_SUPPORTED_PLATFORMS__ = "$(INDEXING_SUPPORTED_PLATFORMS__NO)";
				INDEXING_SUPPORTED_PLATFORMS__NO = macosx;
				INDEXING_SUPPORTED_PLATFORMS__YES = macosx;
				INDEX_DISABLE_SCRIPT_EXECUTION = YES;
				LD = "";
				LDPLUSPLUS = "";
				LIBTOOL = libtool;
				SUPPORTED_PLATFORMS = "$(INDEXING_SUPPORTED_PLATFORMS__$(INDEX_ENABLE_BUILD_ARENA))";
				SUPPORTS_MACCATALYST = YES;
				SWIFT_EXEC = swiftc;
				TAPI_EXEC = "";
				TARGET_IDS_FILE = "$(BAZEL_OUT)/darwin_arm64-dbg/bin/external/rules_xcodeproj++rules_repos+rules_xcodeproj_generated/generator/m323/Sources/Aufgabe5/xcodeproj/xcodeproj_target_ids";
				TARGET_NAME = BazelDependencies;
			};
			name = Debug;
		};
		FF0100000000000000000002 /* Build configuration list for PBXAggregateTarget "BazelDependencies" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				FF0100000000000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		FF0100000000000000000001 /* BazelDependencies */ = {
			isa = PBXAggregateTarget;
			buildConfigurationList = FF0100000000000000000002 /* Build configuration list for PBXAggregateTarget "BazelDependencies" */;
			buildPhases = (
				FF0100000000000000000004 /* Generate Bazel Dependencies */,
				FF0100000000000000000005 /* Create swift_debug_settings.py */,
			);
			dependencies = (
			);
			name = BazelDependencies;
			productName = BazelDependencies;
		};
		FF0000000000000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_ASSET_SYMBOLS = NO;
				BAZEL_CONFIG = rules_xcodeproj;
				BAZEL_EXTERNAL = "$(BAZEL_OUTPUT_BASE)/external";
				BAZEL_INTEGRATION_DIR = "$(INTERNAL_DIR)/bazel";
				BAZEL_LLDB_INIT = "$(PROJECT_FILE_PATH)/rules_xcodeproj/bazel.lldbinit";
				BAZEL_OUT = "$(PROJECT_DIR)/bazel-out";
				BAZEL_OUTPUT_BASE = "$(_BAZEL_OUTPUT_BASE:standardizepath)";
				BAZEL_WORKSPACE_ROOT = "$(SRCROOT)";
				BUILD_DIR = "$(SYMROOT)/$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)";
				BUILD_MARKER_FILE = "$(OBJROOT)/build_marker";
				BUILD_WORKSPACE_DIRECTORY = "$(SRCROOT)";
				CC = "$(BAZEL_INTEGRATION_DIR)/clang.sh";
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_MODULES_AUTOLINK = NO;
				CODE_SIGNING_ALLOWED = NO;
				CODE_SIGN_STYLE = Manual;
				CONFIGURATION_BUILD_DIR = "$(BUILD_DIR)/$(BAZEL_PACKAGE_BIN_DIR)";
				COPY_PHASE_STRIP = NO;
				CXX = "$(BAZEL_INTEGRATION_DIR)/clang.sh";
				DEBUG_INFORMATION_FORMAT = dwarf;
				DSTROOT = "$(PROJECT_TEMP_DIR)";
				ENABLE_DEBUG_DYLIB = NO;
				ENABLE_DEFAULT_SEARCH_PATHS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = NO;
				GCC_OPTIMIZATION_LEVEL = 0;
				IMPORT_INDEX_BUILD_INDEXSTORES = YES;
				INDEXING_PROJECT_DIR__ = "$(INDEXING_PROJECT_DIR__NO)";
				INDEXING_PROJECT_DIR__NO = /Users/cediackermann/Library/Caches/bazel/_bazel_cediackermann/32ebb412f2c3c34f6a486c67eed584f9/rules_xcodeproj.noindex/build_output_base/execroot/_main;
				INDEXING_PROJECT_DIR__YES = /Users/cediackermann/Library/Caches/bazel/_bazel_cediackermann/32ebb412f2c3c34f6a486c67eed584f9/rules_xcodeproj.noindex/indexbuild_output_base/execroot/_main;
				INDEX_DATA_STORE_DIR = "$(INDEX_DATA_STORE_DIR)";
				INDEX_FORCE_SCRIPT_EXECUTION = YES;
				INDEX_IMPORT = "$(BAZEL_OUT)/darwin_arm64-opt-exec/bin/external/rules_xcodeproj++rules_repos+rules_xcodeproj_index_import/index-import";
				INSTALL_PATH = "$(BAZEL_PACKAGE_BIN_DIR)/$(TARGET_NAME)/bin";
				INTERNAL_DIR = "$(PROJECT_FILE_PATH)/rules_xcodeproj";
				LD = "$(BAZEL_INTEGRATION_DIR)/ld";
				LDPLUSPLUS = "$(BAZEL_INTEGRATION_DIR)/ld";
				LD_DYLIB_INSTALL_NAME = "";
				LD_OBJC_ABI_VERSION = "";
				LD_RUNPATH_SEARCH_PATHS = "";
				LEGACY_INDEX_IMPORT = "$(BAZEL_OUT)/darwin_arm64-opt-exec/bin/external/rules_xcodeproj++rules_repos+rules_xcodeproj_legacy_index_import/index-import";
				LIBTOOL = "$(BAZEL_INTEGRATION_DIR)/libtool";
				ONLY_ACTIVE_ARCH = YES;
				PROJECT_DIR = /Users/cediackermann/Library/Caches/bazel/_bazel_cediackermann/32ebb412f2c3c34f6a486c67eed584f9/rules_xcodeproj.noindex/build_output_base/execroot/_main;
				RESOLVED_REPOSITORIES = "\".\" \"/Users/cediackermann/Projects\"";
				RULES_XCODEPROJ_BUILD_MODE = bazel;
				SRCROOT = /Users/cediackermann/Projects;
				SUPPORTS_MACCATALYST = NO;
				SWIFT_EXEC = "$(BAZEL_INTEGRATION_DIR)/swiftc";
				SWIFT_OBJC_INTERFACE_HEADER_NAME = "";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_USE_INTEGRATED_DRIVER = NO;
				SWIFT_VERSION = 5.0;
				TAPI_EXEC = /usr/bin/true;
				TARGET_TEMP_DIR = "$(PROJECT_TEMP_DIR)/$(BAZEL_PACKAGE_BIN_DIR)/$(COMPILE_TARGET_NAME)";
				USE_HEADERMAP = NO;
				VALIDATE_WORKSPACE = NO;
				_BAZEL_OUTPUT_BASE = "$(PROJECT_DIR)/../..";
			};
			name = Debug;
		};
		FF0000000000000000000002 /* Build configuration list for PBXProject */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				FF0000000000000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		FF0000000000000000000001 /* Project object */ = {
			isa = PBXProject;
			buildConfigurationList = FF0000000000000000000002 /* Build configuration list for PBXProject */;
			compatibilityVersion = "Xcode 15.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			mainGroup = FF0000000000000000000003 /* /Users/cediackermann/Projects */;
			productRefGroup = FF0000000000000000000004 /* Products */;
			projectDirPath = /Users/cediackermann/Library/Caches/bazel/_bazel_cediackermann/32ebb412f2c3c34f6a486c67eed584f9/rules_xcodeproj.noindex/build_output_base/execroot/_main;
			projectRoot = "";
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 9999;
				LastUpgradeCheck = 9999;
				TargetAttributes = {
					FF0100000000000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
					000013B02A91000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
				};
			};
			knownRegions = (
				en,
				Base,
			);
			targets = (
				FF0100000000000000000001 /* BazelDependencies */,
				000013B02A91000000000001 /* Aufgabe5 */,
			);
		};
		000013B02A91000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Copy Bazel Outputs / Generate Bazel Dependencies (Index Build)";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"$ACTION\" == \"indexbuild\" ]]; then\n  cd \"$SRCROOT\"\n\n  \"$BAZEL_INTEGRATION_DIR/generate_index_build_bazel_dependencies.sh\"\nelse\n  \"$BAZEL_INTEGRATION_DIR/copy_outputs.sh\" \\\n    \"_BazelForcedCompile_.swift\" \\\n    \"\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		000013B02A91000000000005 /* Create Link Dependencies */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"$(LINK_PARAMS_FILE)",
			);
			name = "Create Link Dependencies";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/link.params",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"${ENABLE_PREVIEWS:-}\" == \"YES\" ]]; then\nperl -pe 's/\\$(\\()?([a-zA-Z_]\\w*)(?(1)\\))/$ENV{$2}/g' \\\n  \"$SCRIPT_INPUT_FILE_0\" > \"$SCRIPT_OUTPUT_FILE_0\"\nelse\n  touch \"$SCRIPT_OUTPUT_FILE_0\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		000013B02A91000000000006 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				00FFD562061D9B444674FDE9 /* main.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		000013B02A91000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = arm64;
				BAZEL_LABEL = "@@//m323/Sources/Aufgabe5";
				BAZEL_OUTPUTS_PRODUCT = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Sources/Aufgabe5/Aufgabe5_codesigned";
				BAZEL_OUTPUTS_PRODUCT_BASENAME = Aufgabe5_codesigned;
				BAZEL_PACKAGE_BIN_DIR = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Sources/Aufgabe5";
				BAZEL_TARGET_ID = "@@//m323/Sources/Aufgabe5:Aufgabe5 darwin_arm64-dbg-ST-9a5aec5712f9";
				COMPILE_TARGET_NAME = Aufgabe5;
				EXECUTABLE_EXTENSION = "";
				LINK_PARAMS_FILE = "$(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Sources/Aufgabe5/Aufgabe5.rules_xcodeproj.link.params";
				MACOSX_DEPLOYMENT_TARGET = 26.5;
				OTHER_LDFLAGS = "@$(DERIVED_FILE_DIR)/link.params";
				OTHER_SWIFT_FLAGS = "-Xcc -working-directory -Xcc $(PROJECT_DIR) -working-directory $(PROJECT_DIR) -enforce-exclusivity=checked -emit-const-values-path bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Sources/Aufgabe5/Aufgabe5_objs/main.swift.swiftconstvalues -DDEBUG -Onone -Xfrontend -internalize-at-link -enable-testing -disable-sandbox -file-compilation-dir . -Xcc -iquote -Xcc $(PROJECT_DIR) -Xcc -iquote -Xcc $(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin -Xfrontend -disable-clang-spi -enable-experimental-feature AccessLevelOnImport -Xfrontend -entry-point-function-name -Xfrontend m323_Sources_Aufgabe5_Aufgabe5_main -Xcc -O0 -Xcc -DDEBUG=1 -Xcc -fstack-protector -Xcc -fstack-protector-all -Xfrontend -checked-async-objc-bridging=on";
				PRODUCT_MODULE_NAME = m323_Sources_Aufgabe5_Aufgabe5;
				PRODUCT_NAME = Aufgabe5;
				SDKROOT = macosx;
				SUPPORTED_PLATFORMS = macosx;
				SWIFT_ENABLE_EMIT_CONST_VALUES = NO;
				TARGET_NAME = Aufgabe5;
			};
			name = Debug;
		};
		000013B02A91000000000002 /* Build configuration list for PBXNativeTarget "Aufgabe5" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				000013B02A91000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		000013B02A910000000000FF /* Aufgabe5 */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = Aufgabe5; sourceTree = BUILT_PRODUCTS_DIR; };
		000013B02A91000000000001 /* Aufgabe5 */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 000013B02A91000000000002 /* Build configuration list for PBXNativeTarget "Aufgabe5" */;
			buildPhases = (
				000013B02A91000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */,
				000013B02A91000000000005 /* Create Link Dependencies */,
				000013B02A91000000000006 /* Sources */,
			);
			buildRules = (
			);
			dependencies = (
				000213B02A91FF0001000000 /* PBXTargetDependency */,
			);
			name = Aufgabe5;
			productName = Aufgabe5;
			productReference = 000013B02A910000000000FF /* Aufgabe5 */;
			productType = "com.apple.product-type.tool";
		};
		000113B02A91FF0001000000 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = FF0000000000000000000001 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = FF0100000000000000000001;
			remoteInfo = BazelDependencies;
		};
		000213B02A91FF0001000000 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			name = BazelDependencies;
			target = FF0100000000000000000001 /* BazelDependencies */;
			targetProxy = 000113B02A91FF0001000000 /* PBXContainerItemProxy */;
		};
		FF0000000000000000000003 /* /Users/cediackermann/Projects */ = {
			isa = PBXGroup;
			children = (
				FE0B6A8C2E81F8461958AA13 /* m323 */,
				FF0000000000000000000004 /* Products */,
				FF0000000000000000000005 /* Frameworks */,
			);
			path = /Users/cediackermann/Projects;
			sourceTree = "<absolute>";
		};
		FE0B6A8C2E81F8461958AA13 /* m323 */ = {
			isa = PBXGroup;
			children = (
				FE33D36F2BFBBE20D6696EBB /* Sources */,
			);
			path = m323;
			sourceTree = "<group>";
		};
		FE33D36F2BFBBE20D6696EBB /* Sources */ = {
			isa = PBXGroup;
			children = (
				FE48BFC7F1F245E05F51C00A /* Aufgabe5 */,
			);
			path = Sources;
			sourceTree = "<group>";
		};
		FE48BFC7F1F245E05F51C00A /* Aufgabe5 */ = {
			isa = PBXGroup;
			children = (
				FE92A788A8507CE3BA059C07 /* BUILD.bazel */,
				FEDE40009AB4363F7C997327 /* main.swift */,
			);
			path = Aufgabe5;
			sourceTree = "<group>";
		};
		FE92A788A8507CE3BA059C07 /* BUILD.bazel */ = {isa = PBXFileReference; explicitFileType = text.script.python; path = BUILD.bazel; sourceTree = "<group>"; };
		FEDE40009AB4363F7C997327 /* main.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = main.swift; sourceTree = "<group>"; };
		00FFD562061D9B444674FDE9 /* main.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEDE40009AB4363F7C997327 /* main.swift */; };
		FF0000000000000000000004 /* Products */ = {
			isa = PBXGroup;
			children = (
				000013B02A910000000000FF /* Aufgabe5 */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		FF0000000000000000000005 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
	};
	rootObject = FF0000000000000000000001 /* Project object */;
}
